::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: Deployment script for Tridion event modules
: Author: Quirijn Slings
: Last modified on: 02 Feb 2015
: - Installs third party dependencies in the GAC
: - Stops all relevant services
: - Copies event system DLL and PDB files to the Tridion bin folder
: - Starts the services again
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

@echo off

if exist %~dp0\System.Web.Http.dll ( 
	if exist "C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\gacutil.exe" (
		"C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\gacutil" -i "%~dp0\System.Web.Http.dll"
		"C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\gacutil" -i "%~dp0\System.Web.Http.WebHost.dll"
		"C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\gacutil" -i "%~dp0\System.Net.Http.Formatting.dll"
		"C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\gacutil" -i "%~dp0\Newtonsoft.Json.dll"
	) else (
		echo Cannot find "C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\gacutil.exe"
		echo Please install the following files in the GAC manually:
		echo - System.Web.Http.dll
		echo - System.Web.Http.WebHost.dll
		echo - System.Net.Http.Formatting.dll
		echo - Newtonsoft.Json.dll
	)
)

net stop "Tridion Content Manager Publisher"
net stop "Tridion Content Manager Search Indexer"
net stop "Tridion Content Manager Batch Processor"
net stop "Tridion Content Manager Service Host"
iisreset /stop

copy "%~dp0\TomTom.CM.Events.*.dll" "%TRIDION_HOME%bin" /Y
copy "%~dp0\TomTom.CM.Events.*.pdb" "%TRIDION_HOME%bin" /Y
copy "%~dp0\TomTom.CM.Events.*.config" "%TRIDION_HOME%config" /Y

iisreset /start
net start "Tridion Content Manager Service Host"
net start "Tridion Content Manager Batch Processor"
net start "Tridion Content Manager Search Indexer"
net start "Tridion Content Manager Publisher"
